Package org.pushingpixels.substance.internal.ui

# Class SubstanceScrollBarUI.SubstanceArrowButtonListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener
org.pushingpixels.substance.internal.ui.SubstanceScrollBarUI.SubstanceArrowButtonListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `SubstanceScrollBarUI`

protected class SubstanceScrollBarUI.SubstanceArrowButtonListener extends BasicScrollBarUI.ArrowButtonListener
Listener on arrow buttons. Need to override the super implementation for the `SubstanceConstants.ScrollPaneButtonPolicyKind.MULTIPLE_BOTH` policy.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceArrowButtonListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceArrowButtonListener

protected SubstanceArrowButtonListener()

## Method Details

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicScrollBarUI.ArrowButtonListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `BasicScrollBarUI.ArrowButtonListener`